# Uses of Interface
org.eclipse.gef.EditPartFactory

Packages that use EditPartFactory
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts

## Uses of EditPartFactory in org.eclipse.gef

Methods in org.eclipse.gef that return EditPartFactory
Modifier and Type
Method
Description
`EditPartFactory`
EditPartViewer.`getEditPartFactory()`
Returns the `EditPartFactory` for this viewer.
Methods in org.eclipse.gef with parameters of type EditPartFactory
Modifier and Type
Method
Description
`void`
EditPartViewer.`setEditPartFactory(EditPartFactory factory)`
Sets the EditPartFactory.

## Uses of EditPartFactory in org.eclipse.gef.ui.palette

Classes in org.eclipse.gef.ui.palette that implement EditPartFactory
Modifier and Type
Class
Description
`class`
`PaletteEditPartFactory`
Factory to create EditParts for different PaletteEntries.

## Uses of EditPartFactory in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return EditPartFactory
Modifier and Type
Method
Description
`EditPartFactory`
AbstractEditPartViewer.`getEditPartFactory()`
Methods in org.eclipse.gef.ui.parts with parameters of type EditPartFactory
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`setEditPartFactory(EditPartFactory factory)`